@echo off
REM Script changed by Sebastian Hennebrueder
REM http://www.lailuna.de
REM JAVA Tutorials
REM EJB Tutorials
REM HIBERNATE Tutorials
REM JAVA WebDevelopment with Struts
REM if first param is default then call with environment variables
if "%1" == "default" goto default:
REM Test for JAVA_HOME
if "%1" == "" goto err
REM Test for JBOSS_HOME
if "%2" == "" goto err
REM Test for Server (default, all, minimal)
if "%3" == "" goto err
REM test dependend service
if "%4" == "" goto err
if "%5" == "" goto err
if "%6" == "" goto err
if "%7" == "" goto err
REM check for existing of needed files
if not exist JavaService.exe (echo Error! You need a JavaService.exe in the install directory.
goto eof)
if not exist %1\jre\bin\%3\jvm.dll (
echo Cannot find %1\jre\bin\%3\jvm.dll
echo Think about changing JAVA_HOME or the param1 and param3
goto eof)
if not exist %2\bin\run.jar (
echo Cannot find %2\bin\run.jar
echo Think about changing JBOSS_HOME or the param2
goto eof)

goto ok

:err

echo --------
echo Usage simple: (using system variables for JBOSS_HOME and JAVA_HOME)
echo %0 default
echo --------
echo Usage complex:
echo "%0 {jdk_home} {jboss_home} {(classic|hotspot|server)} {dependend service|""} {start -manual|auto} {jvm params|""} {Service name}"
echo --------
echo example 1: 
echo %0 d:\java\jdsdk d:\java\jboss server "MySQL" -manual -Xmx256M jboss32
echo --------
echo example 2: 
echo %0 d:\java\jdsdk d:\java\jboss server "" -manual -Xmx256M jboss35
echo --------
echo Explanation
echo 1rst param path where you can find lib, bin, include, jre
echo 2nd jboss directory
echo 3rd jvm to use, param example: 
echo server resolves to d:\java\jsdk\jre\bin\server\jvm.dll
echo 4th param are depend services or empty ""
echo 5th param how to start the service -manual or -auto (use -manual to install when facing problems)
echo 6th param options for the java jvm e.g. -Xmx256M to start jboss with a maximum of 256 MB of memory
echo 7th param name of the service e.g. jboss325
echo NOTE:    You MAY NOT use spaces in the path names (tell me if you can fix this).
echo          JDK 1.3 does not come with hotpot server by default, you must
echo          install this separately if you wish to use it.
echo 
echo --------
echo HINTS:
echo on my system -auto did not work, so I installed the service -manual and changed it later to -auto
echo Do not put a '\' at the end of your path names
echo --------
goto eof

:ok

@echo .
@echo .
@echo .

copy /Y JavaService.exe %2\bin\JBossService.exe
@echo on
%2\bin\JBossService.exe -install %7 %1\jre\bin\%3\jvm.dll -Djava.class.path=%1\lib\tools.jar;%2\bin\run.jar %6 -start org.jboss.Main -stop org.jboss.Main -method systemExit -out %2\bin\out.log -err %2\bin\err.log -current %2\bin -depends %4 %5
@echo off

goto eof

:default
copy /Y JavaService.exe %JBOSS_HOME%\bin\JBossService.exe
@echo on
%JBOSS_HOME%\bin\JBossService.exe -install Jboss %JAVA_HOME%\jre\bin\server\jvm.dll -Djava.class.path=%JAVA_HOME%\lib\tools.jar;%JBOSS_HOME%\bin\run.jar -start org.jboss.Main -stop org.jboss.Main -method systemExit -out %JBOSS_HOME%\bin\out.log -err %JBOSS_HOME%\bin\err.log -current %JBOSS_HOME%\bin -depends "" -manual
@echo off


:eof

@echo .
@echo .
@echo .
